Skip to main content
GET
/
v1
/
agents
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/agents
{
  "data": [
    {
      "agent": {
        "_id": "<string>",
        "npn": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "downstreamEntityAgentAssociationIds": [
          "<string>"
        ],
        "createdAt": "<string>",
        "updatedAt": "<string>"
      },
      "onboardingCategory": "addition",
      "niprDataSubscription": {
        "dataOwnerId": "<string>",
        "dataOwnerModel": "<string>",
        "entityModel": "<string>",
        "entityInfo": {
          "status": "<string>",
          "jobId": "<string>",
          "message": "<string>",
          "rawEntityInfoId": "<string>"
        },
        "npn": "<string>",
        "lastSynchronizationDate": "2023-11-07T05:31:56Z",
        "pdbAlertsSubscriptionStatus": "<string>",
        "pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
      },
      "isUploadedByUpstreamEntity": true,
      "isDeleted": true,
      "isArchived": true,
      "authority": [
        {
          "upstreamEntityProductId": "<string>",
          "requestedStates": [
            "CA",
            "TX",
            "NY"
          ],
          "approvedStates": [
            "CA",
            "TX"
          ]
        }
      ],
      "email": "<string>",
      "isDeliverable": true,
      "externalId": "<string>"
    }
  ],
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Returns all agents associated with your upstream entity. You can filter results by downstream entity association, NPN, or license number.
The npn filter is mutually exclusive with licenseNumber/stateCode. Use one or the other, not both.

Query Parameters

downstreamEntityAssociationId
string

Filter by downstream entity association ID

npn
string

Filter by National Producer Number (NPN). Mutually exclusive with licenseNumber/stateCode.

Example:

"123456"

licenseNumber
string

Filter by license number. Must be provided together with stateCode. Mutually exclusive with npn.

Example:

"ABC123456"

stateCode
string

Filter by state code. Must be provided together with licenseNumber. Mutually exclusive with npn.

Example:

"AK"

Response

List of agents

data
object[]
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"